Get notification config

Get notification config

Fetches the current user's notification configuration. Returns an empty config when the user has none yet.

GET/api/notification-config

Request

curl
curl -X GET https://trickest.io/api/notification-config \
  -H "Authorization: Bearer $TRICKEST_TOKEN"

Responses

200Notification configuration
idstringrequired
modified_datestringrequired
user_infostring | numberrequired
configobjectrequired
400Bad Request – validation error or malformed input
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

401Unauthorized – missing or expired token
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

403Forbidden – insufficient permissions
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

429Too Many Requests – rate limited
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

500Internal Server Error
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.